Skip to Content
ReferenceAPI referenceLogs

Rotate the app and login logs now

POST
/api/v1/logs/rotate

Starts fresh log files and gzips the old ones into archives. It skips a log that is empty. Returns the names of the files that rotated. Needs a Read/write API key or a browser session.

Authorization

cookiesession<token>

Session cookie authentication.

Response Body

Document created, URL follows

application/json
  1. response

The log files that rotated.

rotated*array<string>

Their file names, such as geometrikks.log.

Example Request
curl -X POST 'https://geometrikks.example.com/api/v1/logs/rotate'
Example Response201
{  "rotated": [    "string"  ]}